Skip to content
POST
/user/secrets/list-stores
curl --request POST \
--url https://example.com/user/secrets/list-stores \
--header 'Content-Type: application/json' \
--header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \
--data '{ "tenant_id": "example" }'

List the metadata of all configured secrets stores

Media type application/json
ListStoresRequest
object
tenant_id
required
Tenant Id
string
Example generated
{
"tenant_id": "example"
}

Successful Response

Media type application/json
ListStoresResponse
object
default_store_id
required
Default Store Id
string
stores
required
Stores
Array<object>
SecretStoreDetails
object
type
required
SecretStoreType
string
Allowed values: aws tenzir
id
required
Id
string
name
required
Name
string
is_writable
required
Is Writable
boolean
is_deletable
required
Is Deletable
boolean
options
required
Any of:
AwsWorkspaceSecretOptions
object
region
required
Region
string
assumed_role_arn
required
Assumed Role Arn
string
access_key
Any of:
AwsAccessKey
object
access_key_id
required
Access Key Id
string
secret_access_key
required
Secret Access Key
string format: password
Example
{
"stores": [
{
"type": "aws"
}
]
}

{"detail": "Invalid API Key"}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}